onEvent('block.tags', event => {

    event.get('twilightforest:portal/edge').removeAll();
    event.get('twilightforest:portal/edge').add('botania:metamorphic_forest_stone');
    event.get('twilightforest:portal/edge').add('botania:metamorphic_forest_bricks');
    event.get('twilightforest:portal/edge').add('botania:metamorphic_forest_cobblestone');
    event.get('twilightforest:portal/edge').add('botania:chiseled_metamorphic_forest_bricks');

    event.get('twilightforest:portal/fluid').removeAll();
    event.get('twilightforest:portal/fluid').add('kubejs:witch_water');

    event.get('twilightforest:portal/decoration').removeAll();
    event.get('twilightforest:portal/decoration').add('powah:solar_panel_starter');
    event.get('twilightforest:portal/decoration').add('powah:solar_panel_basic');

})

onEvent('item.tags', event => {

    event.get('twilightforest:portal/activator').removeAll();
    event.get('twilightforest:portal/activator').add('kubejs:vibrant_gem');

})